Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java	(revision 512)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java	(revision 513)
@@ -11,7 +11,7 @@
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 
 public class ___ProgressionForm extends Composite {
@@ -58,34 +58,34 @@
 		GridData gd_label = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
 		gd_label.widthHint = 29;
 		label.setLayoutData(gd_label);
-		label.setText(Messages.ProgressionForm_0);
+		label.setText(RCPMessages.ProgressionForm_0);
 		
 		cumulBtn = new Button(composite, SWT.RADIO);
-		cumulBtn.setText(Messages.ProgressionForm_1);
+		cumulBtn.setText(RCPMessages.ProgressionForm_1);
 		cumulBtn.setSelection(true);
 		
 		densiBtn = new Button(composite, SWT.RADIO);
-		densiBtn.setText(Messages.ProgressionForm_2);
+		densiBtn.setText(RCPMessages.ProgressionForm_2);
 		
 		Label lblEchelle = new Label(composite, SWT.NONE);
 		lblEchelle.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
-		lblEchelle.setText(Messages.ProgressionForm_3);
+		lblEchelle.setText(RCPMessages.ProgressionForm_3);
 		
 		scaleTextEdit = new Text(composite, SWT.BORDER);
 		scaleTextEdit.setText("1.0"); //$NON-NLS-1$
 		
 		Label lblOptionsDaffichage = new Label(composite, SWT.NONE);
 		lblOptionsDaffichage.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 4, 1));
-		lblOptionsDaffichage.setText(Messages.ProgressionForm_5);
+		lblOptionsDaffichage.setText(RCPMessages.ProgressionForm_5);
 		new Label(composite, SWT.NONE);
 		
 		Label label_6 = new Label(composite, SWT.NONE);
-		label_6.setText(Messages.ProgressionForm_6);
+		label_6.setText(RCPMessages.ProgressionForm_6);
 		
 		structCombo = new Combo(composite, SWT.NONE);
 		
 		Label label_5 = new Label(composite, SWT.NONE);
-		label_5.setText(Messages.ProgressionForm_7);
+		label_5.setText(RCPMessages.ProgressionForm_7);
 		
 		propCombo = new Combo(composite, SWT.NONE);
 		propCombo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
@@ -93,21 +93,21 @@
 		new Label(composite, SWT.NONE);
 		
 		Label label_7 = new Label(composite, SWT.NONE);
-		label_7.setText(Messages.ProgressionForm_8);
+		label_7.setText(RCPMessages.ProgressionForm_8);
 		
 		regTextEdit = new Text(composite, SWT.BORDER);
 		regTextEdit.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
 		new Label(composite, SWT.NONE);
 		
 		styleRadio = new Button(composite, SWT.CHECK);
-		styleRadio.setText(Messages.ProgressionForm_9);
+		styleRadio.setText(RCPMessages.ProgressionForm_9);
 		styleRadio.setSelection(true);
 		
 		repeatRadio = new Button(composite, SWT.CHECK);
-		repeatRadio.setText(Messages.ProgressionForm_10);
+		repeatRadio.setText(RCPMessages.ProgressionForm_10);
 		
 		NBRadio = new Button(composite, SWT.CHECK);
-		NBRadio.setText(Messages.ProgressionForm_11);
+		NBRadio.setText(RCPMessages.ProgressionForm_11);
 		new Label(composite, SWT.NONE);
 	
 		Composite composite_2 = new Composite(composite_1, SWT.NONE);
@@ -118,13 +118,13 @@
 		composite_3.setLayout(new FillLayout(SWT.HORIZONTAL));
 		
 		Label lblRequetes = new Label(composite_3, SWT.NONE);
-		lblRequetes.setText(Messages.ProgressionForm_12);
+		lblRequetes.setText(RCPMessages.ProgressionForm_12);
 		
 		btnNewButton = new Button(composite_3, SWT.NONE);
-		btnNewButton.setText(Messages.ProgressionForm_13);
+		btnNewButton.setText(RCPMessages.ProgressionForm_13);
 		
 		btnSupprimer = new Button(composite_3, SWT.NONE);
-		btnSupprimer.setText(Messages.ProgressionForm_14);
+		btnSupprimer.setText(RCPMessages.ProgressionForm_14);
 		scrolledComposite_1.setContent(composite_1);
 		scrolledComposite_1.setMinSize(composite_1.computeSize(SWT.DEFAULT, SWT.DEFAULT));
 		
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/ProgressionParametersComposite.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/ProgressionParametersComposite.java	(revision 512)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/ProgressionParametersComposite.java	(revision 513)
@@ -11,7 +11,7 @@
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 
 public class ProgressionParametersComposite extends Composite {
@@ -67,34 +67,34 @@
 		GridData gd_label = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
 		gd_label.widthHint = 29;
 		label.setLayoutData(gd_label);
-		label.setText(Messages.ProgressionForm_0);
+		label.setText(RCPMessages.ProgressionForm_0);
 		
 		cumulBtn = new Button(composite, SWT.RADIO);
-		cumulBtn.setText(Messages.ProgressionForm_1);
+		cumulBtn.setText(RCPMessages.ProgressionForm_1);
 		cumulBtn.setSelection(true);
 		
 		densiBtn = new Button(composite, SWT.RADIO);
-		densiBtn.setText(Messages.ProgressionForm_2);
+		densiBtn.setText(RCPMessages.ProgressionForm_2);
 		
 		Label lblEchelle = new Label(composite, SWT.NONE);
 		lblEchelle.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
-		lblEchelle.setText(Messages.ProgressionForm_3);
+		lblEchelle.setText(RCPMessages.ProgressionForm_3);
 		
 		scaleTextEdit = new Text(composite, SWT.BORDER);
 		scaleTextEdit.setText("1.0"); //$NON-NLS-1$
 		
 		Label lblOptionsDaffichage = new Label(composite, SWT.NONE);
 		lblOptionsDaffichage.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 4, 1));
-		lblOptionsDaffichage.setText(Messages.ProgressionForm_5);
+		lblOptionsDaffichage.setText(RCPMessages.ProgressionForm_5);
 		new Label(composite, SWT.NONE);
 		
 		Label label_6 = new Label(composite, SWT.NONE);
-		label_6.setText(Messages.ProgressionForm_6);
+		label_6.setText(RCPMessages.ProgressionForm_6);
 		
 		structCombo = new Combo(composite, SWT.NONE);
 		
 		Label label_5 = new Label(composite, SWT.NONE);
-		label_5.setText(Messages.ProgressionForm_7);
+		label_5.setText(RCPMessages.ProgressionForm_7);
 		
 		propCombo = new Combo(composite, SWT.NONE);
 		propCombo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
@@ -102,21 +102,21 @@
 		new Label(composite, SWT.NONE);
 		
 		Label label_7 = new Label(composite, SWT.NONE);
-		label_7.setText(Messages.ProgressionForm_8);
+		label_7.setText(RCPMessages.ProgressionForm_8);
 		
 		regTextEdit = new Text(composite, SWT.BORDER);
 		regTextEdit.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
 		new Label(composite, SWT.NONE);
 		
 		styleRadio = new Button(composite, SWT.CHECK);
-		styleRadio.setText(Messages.ProgressionForm_9);
+		styleRadio.setText(RCPMessages.ProgressionForm_9);
 		styleRadio.setSelection(true);
 		
 		repeatRadio = new Button(composite, SWT.CHECK);
-		repeatRadio.setText(Messages.ProgressionForm_10);
+		repeatRadio.setText(RCPMessages.ProgressionForm_10);
 		
 		NBRadio = new Button(composite, SWT.CHECK);
-		NBRadio.setText(Messages.ProgressionForm_11);
+		NBRadio.setText(RCPMessages.ProgressionForm_11);
 		new Label(composite, SWT.NONE);
 	
 		Composite composite_2 = new Composite(composite_1, SWT.NONE);
@@ -127,13 +127,13 @@
 		composite_3.setLayout(new FillLayout(SWT.HORIZONTAL));
 		
 		Label lblRequetes = new Label(composite_3, SWT.NONE);
-		lblRequetes.setText(Messages.ProgressionForm_12);
+		lblRequetes.setText(RCPMessages.ProgressionForm_12);
 		
 		btnNewButton = new Button(composite_3, SWT.NONE);
-		btnNewButton.setText(Messages.ProgressionForm_13);
+		btnNewButton.setText(RCPMessages.ProgressionForm_13);
 		
 		btnSupprimer = new Button(composite_3, SWT.NONE);
-		btnSupprimer.setText(Messages.ProgressionForm_14);
+		btnSupprimer.setText(RCPMessages.ProgressionForm_14);
 		
 		scrolledComposite_1.setContent(composite_1);
 		scrolledComposite_1.setMinSize(composite_1.computeSize(SWT.DEFAULT, SWT.DEFAULT));
Index: tmp/org.txm.annotation.rcp/.classpath
===================================================================
--- tmp/org.txm.annotation.rcp/.classpath	(revision 512)
+++ tmp/org.txm.annotation.rcp/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java	(revision 512)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java	(revision 513)
@@ -78,7 +78,7 @@
 import org.txm.annotation.rcp.commands.krview.Informations;
 import org.txm.annotation.rcp.commands.krview.Reload;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -238,7 +238,7 @@
 				return ((AnnotationType) element).getId()+((AnnotationType) element).getEffect().toSuffix();
 			else if (element instanceof TypedValue)
 				return ((TypedValue) element).getStandardName();
-			return NLS.bind(Messages.QueriesView_10, element);
+			return NLS.bind(RCPMessages.QueriesView_10, element);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java	(revision 512)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.txm.annotation.core.AnnotationManager;
 import org.txm.annotation.core.KRAnnotationEngine;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
@@ -86,7 +86,7 @@
 		dialog.setFileName(corpus.getName()+"_annotations.zip");
 		dialog.setFilterExtensions(new String[]{"*.zip"});
 		if (dialog.open() != null) {
-			StatusLine.setMessage(Messages.ExportAnnotation_0);
+			StatusLine.setMessage(RCPMessages.ExportAnnotation_0);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java	(revision 512)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java	(revision 513)
@@ -14,7 +14,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.annotation.core.AnnotationManager;
 import org.txm.annotation.core.KRAnnotationEngine;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.CloseEditorsUsing;
 import org.txm.rcp.commands.workspace.UpdateCorpus;
 import org.txm.rcp.utils.JobHandler;
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java	(revision 512)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java	(revision 513)
@@ -31,7 +31,7 @@
 import org.eclipse.ui.IWorkbench;
 import org.txm.annotation.core.preferences.AnnotationPreferences;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.preferences.RCPPreferencesPage;
 import org.txm.rcp.preferences.TXMPreferencePage;
@@ -72,10 +72,10 @@
 		addField(mode_expert);*/
 		
 		String[][] labelAndValues = {
-				{Messages.AnnotationPreferences_1, "simple"},
-				{Messages.AnnotationPreferences_2, "advanced"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				{RCPMessages.AnnotationPreferences_1, "simple"},
+				{RCPMessages.AnnotationPreferences_2, "advanced"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		
-		mode_annotation = new RadioGroupFieldEditor(AnnotationPreferences.ANNOTATION_MODE, Messages.AnnotationPreferences_0, 2, labelAndValues, getFieldEditorParent());
+		mode_annotation = new RadioGroupFieldEditor(AnnotationPreferences.ANNOTATION_MODE, RCPMessages.AnnotationPreferences_0, 2, labelAndValues, getFieldEditorParent());
 		addField(mode_annotation);
 		//mode_annotation.setPreferenceStore(store);
 	}
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/SortPropertySelectionDialog.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/SortPropertySelectionDialog.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/SortPropertySelectionDialog.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Shell;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 
@@ -135,7 +135,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.SortPropertySelection_0);
+		newShell.setText(RCPMessages.SortPropertySelection_0);
 		newShell.setMinimumSize(300, 200);
 	}
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 513)
@@ -131,6 +131,7 @@
 import org.txm.concordance.rcp.actions.ViewPropertySelection;
 import org.txm.concordance.rcp.handlers.BackToTextCommand;
 import org.txm.concordance.rcp.handlers.DeleteLines;
+import org.txm.concordance.rcp.messages.Messages;
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
 import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
 import org.txm.core.messages.TXMCoreMessages;
@@ -141,7 +142,7 @@
 import org.txm.objects.Page;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.commands.OpenBrowser;
@@ -886,7 +887,7 @@
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
-									StatusLine.setMessage(Messages.SORT_DONE);
+									StatusLine.setMessage(RCPMessages.SORT_DONE);
 									fillDisplayArea(topLine, topLine + nLinePerPage - 1);
 								}
 							});
@@ -1112,7 +1113,7 @@
 
 			annotationTypesCombo.getCombo().setLayoutData(gdata);
 			annotationTypesCombo.setInput(typesList);
-			if (advanced_annotation_mode.equals(Messages.AnnotationPreferences_2)) {
+			if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
 				annotationTypesCombo.getCombo().select(0);
 			}
 
@@ -1263,7 +1264,7 @@
 		if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 			addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 			addTypedValueLink.setText("..."); //$NON-NLS-1$
-			if (advanced_annotation_mode.equals(Messages.AnnotationPreferences_2)) {
+			if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
 				addTypedValueLink.setToolTipText(Messages.ConcordancesEditor_79);
 			}else {
 				addTypedValueLink.setToolTipText(Messages.ConcordancesEditor_77);
@@ -1282,7 +1283,7 @@
 					LocalKnowledgeRepository kr = (LocalKnowledgeRepository)currentKnowledgeRepository;
 
 					ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
-					if (advanced_annotation_mode.equals(Messages.AnnotationPreferences_2)) {
+					if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
 						String title = currentKnowledgeRepository.getString(locale, "ConcordancesEditor_100");
 						if (title == null) title = Messages.ConcordancesEditor_100;
 						dialog.setTitle(Messages.bind(title, type.getName()));//+"valeurs de "+type.getName());
@@ -1472,7 +1473,7 @@
 			}
 		}
 
-		if (advanced_annotation_mode.equals(Messages.AnnotationPreferences_2)) {
+		if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
 			if (infosAnnotTypeSelectedLink != null) infosAnnotTypeSelectedLink.setEnabled(getSelectedAnnotationType() != null);
 		}
 		if (addTypedValueLink != null) addTypedValueLink.setEnabled(getSelectedAnnotationType() != null);
@@ -1671,7 +1672,7 @@
 
 		// Query:
 		Label queryLabel = new Label(queryArea, SWT.NONE);
-		queryLabel.setText(Messages.CreateSubcorpusDialog_10);
+		queryLabel.setText(RCPMessages.CreateSubcorpusDialog_10);
 		queryLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false,
 				false));
 
@@ -1738,7 +1739,7 @@
 
 		// [Search]
 		Button go = new Button(queryArea, SWT.PUSH);
-		go.setText(Messages.SEARCH);
+		go.setText(RCPMessages.SEARCH);
 
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
@@ -2023,12 +2024,12 @@
 			JobsTimer.stopAndPrint();
 
 		} catch (Exception e1) {
-			System.err.println(Messages.CorporaView_3+" "+Log.toString(e1)); //$NON-NLS-1$
+			System.err.println(RCPMessages.CorporaView_3+" "+Log.toString(e1)); //$NON-NLS-1$
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				System.out.println(Messages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
-				Log.severe(Messages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+				System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+				Log.severe(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e2) {
 				System.out.println(Messages.ConcordancesEditor_7+e2);
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
@@ -2837,7 +2838,7 @@
 
 			IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
 
-			StatusLine.setMessage(Messages.ComputeReferencer_0);
+			StatusLine.setMessage(RCPMessages.ComputeReferencer_0);
 			InternalViewEditor editor = (InternalViewEditor)page.openEditor(editorInput,InternalViewEditor.class.getName()); //$NON-NLS-1$
 			editor.backToText(line);
 			SWTEditorsUtils.addEditor(this, editor, EModelService.ABOVE);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineSortReferencePattern.java	(revision 513)
@@ -47,7 +47,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -80,8 +80,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(Messages.DefineReferencePattern_3);
-		setToolTipText(Messages.DefineReferencePattern_4);
+		setText(RCPMessages.DefineReferencePattern_3);
+		setToolTipText(RCPMessages.DefineReferencePattern_4);
 	}
 
 	/* (non-Javadoc)
@@ -175,7 +175,7 @@
 		@Override
 		protected void configureShell(Shell shell) {
 		      super.configureShell(shell);
-		      shell.setText(Messages.DefineReferencePattern_5);
+		      shell.setText(RCPMessages.DefineReferencePattern_5);
 		      
 		      shell.setSize(400, 500);
 		      shell.setLocation(shell.getParent().getLocation());
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/DefineViewReferencePattern.java	(revision 513)
@@ -47,7 +47,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -80,8 +80,8 @@
 		this.window = window;
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(Messages.DefineReferencePattern_1);
-		setToolTipText(Messages.DefineReferencePattern_2);
+		setText(RCPMessages.DefineReferencePattern_1);
+		setToolTipText(RCPMessages.DefineReferencePattern_2);
 	}
 
 	/* (non-Javadoc)
@@ -174,7 +174,7 @@
 		@Override
 		protected void configureShell(Shell shell) {
 		      super.configureShell(shell);
-		      shell.setText(Messages.DefineReferencePattern_0);
+		      shell.setText(RCPMessages.DefineReferencePattern_0);
 		      
 		      shell.setSize(400, 500);
 		      shell.setLocation(shell.getParent().getLocation());
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 513)
@@ -36,7 +36,8 @@
 import org.eclipse.ui.PartInitException;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.Messages;
+import org.txm.concordance.rcp.messages.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMResultEditorInput;
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 512)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 513)
@@ -31,7 +31,7 @@
 import org.eclipse.ui.IWorkbench;
 import org.txm.concordance.core.preferences.ConcordancePreferences;
 import org.txm.concordance.rcp.adapters.ConcordanceAdapterFactory;
-import org.txm.rcp.Messages;
+import org.txm.concordance.rcp.messages.Messages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/Messages.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/Messages.java	(revision 0)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/Messages.java	(revision 513)
@@ -0,0 +1,147 @@
+package org.txm.concordance.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class Messages extends NLS {
+	
+	// The Constant BUNDLE_NAME. 
+	private static final String BUNDLE_NAME = Messages.class.getPackage().getName()+".messages"; //$NON-NLS-1$
+
+	public static String ConcordancesEditor_referenceColumn_text;
+	public static String ConcordancesEditor_xpndtmNewExpanditem_text;
+	public static String ConcordancesEditor_xpndtmNewParameters_text;
+	public static String ConcordancesEditor_xpndtmNewExpanditem_text_1;
+	public static String ConcordancesEditor_xpndtmNewExpanditem_text_2;
+	
+	public static String GetConcordancesDialog_0;
+	public static String GetConcordancesDialog_1;
+	public static String GetConcordancesDialog_13;
+	public static String GetConcordancesDialog_14;
+	public static String GetConcordancesDialog_15;
+	public static String GetConcordancesDialog_4;
+	public static String GetConcordancesDialog_5;
+	public static String GetConcordancesDialog_6;
+	public static String GetConcordancesDialog_7;
+	
+	public static String GetConcordances_4;
+	
+	public static String ERROR_WHILE_LOADING_CONCORDANCE_LINE;
+	
+	public static String ComputeConcordance_0;
+	public static String ComputeConcordance_1;
+	
+	public static String ConcordancerPreferencePage_3;
+	public static String ConcordancerPreferencePage_4;
+	public static String ConcordancerPreferencePage_5;
+	public static String ConcordancerPreferencePage_6;
+	
+	public static String ConcordancesEditorContributor_0;
+	
+	public static String ConcordancesEditor_0;
+	public static String ConcordancesEditor_1;
+	public static String ConcordancesEditor_10;
+	public static String ConcordancesEditor_101;
+	public static String ConcordancesEditor_108;
+	public static String ConcordancesEditor_11;
+	public static String ConcordancesEditor_111;
+	public static String ConcordancesEditor_112;
+	public static String ConcordancesEditor_113;
+	public static String ConcordancesEditor_12;
+	public static String ConcordancesEditor_13;
+	public static String ConcordancesEditor_14;
+	public static String ConcordancesEditor_15;
+	public static String ConcordancesEditor_16;
+	public static String ConcordancesEditor_17;
+	public static String ConcordancesEditor_18;
+	public static String ConcordancesEditor_19;
+	public static String ConcordancesEditor_2;
+	public static String ConcordancesEditor_20;
+	public static String ConcordancesEditor_21;
+	public static String ConcordancesEditor_22;
+	public static String ConcordancesEditor_23;
+	public static String ConcordancesEditor_24;
+	public static String ConcordancesEditor_25;
+	public static String ConcordancesEditor_26;
+	public static String ConcordancesEditor_27;
+	public static String ConcordancesEditor_28;
+	public static String ConcordancesEditor_29;
+	public static String ConcordancesEditor_3;
+	public static String ConcordancesEditor_30;
+	public static String ConcordancesEditor_31;
+	public static String ConcordancesEditor_32;
+	public static String ConcordancesEditor_33;
+	public static String ConcordancesEditor_34;
+	public static String ConcordancesEditor_35;
+	public static String ConcordancesEditor_36;
+	public static String ConcordancesEditor_37;
+	public static String ConcordancesEditor_38;
+	public static String ConcordancesEditor_39;
+	public static String ConcordancesEditor_4;
+	public static String ConcordancesEditor_40;
+	public static String ConcordancesEditor_41;
+	public static String ConcordancesEditor_42;
+	public static String ConcordancesEditor_43;
+	public static String ConcordancesEditor_44;
+	public static String ConcordancesEditor_45;
+	public static String ConcordancesEditor_46;
+	public static String ConcordancesEditor_47;
+	public static String ConcordancesEditor_48;
+	public static String ConcordancesEditor_49;
+	public static String ConcordancesEditor_5;
+	public static String ConcordancesEditor_50;
+	public static String ConcordancesEditor_51;
+	public static String ConcordancesEditor_52;
+	public static String ConcordancesEditor_53;
+	public static String ConcordancesEditor_54;
+	public static String ConcordancesEditor_55;
+	public static String ConcordancesEditor_56;
+	public static String ConcordancesEditor_57;
+	public static String ConcordancesEditor_58;
+	public static String ConcordancesEditor_59;
+	public static String ConcordancesEditor_6;
+	public static String ConcordancesEditor_60;
+	public static String ConcordancesEditor_61;
+	public static String ConcordancesEditor_62;
+	public static String ConcordancesEditor_63;
+	public static String ConcordancesEditor_64;
+	public static String ConcordancesEditor_65;
+	public static String ConcordancesEditor_66;
+	public static String ConcordancesEditor_67;
+	public static String ConcordancesEditor_68;
+	public static String ConcordancesEditor_69;
+	public static String ConcordancesEditor_7;
+	public static String ConcordancesEditor_70;
+	public static String ConcordancesEditor_71;
+	public static String ConcordancesEditor_72;
+	public static String ConcordancesEditor_73;
+	public static String ConcordancesEditor_74;
+	public static String ConcordancesEditor_75;
+	public static String ConcordancesEditor_76;
+	public static String ConcordancesEditor_77;
+	public static String ConcordancesEditor_78;
+	public static String ConcordancesEditor_79;
+	public static String ConcordancesEditor_8;
+	public static String ConcordancesEditor_80;
+	public static String ConcordancesEditor_81;
+	public static String ConcordancesEditor_82;
+	public static String ConcordancesEditor_83;
+	public static String ConcordancesEditor_84;
+	public static String ConcordancesEditor_85;
+	public static String ConcordancesEditor_86;
+	public static String ConcordancesEditor_87;
+	public static String ConcordancesEditor_88;
+	public static String ConcordancesEditor_9;
+	public static String ConcordancesEditor_99;
+	public static String ConcordancesEditor_100;
+	public static String ConcordancesEditor_110;
+	public static String ConcordancesEditor_114;
+	public static String ConcordancesEditor_115;
+	public static String ConcordancesEditor_116;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+}

Index: tmp/org.txm.concordance.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.concordance.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.concordance.rcp/.settings/org.eclipse.core.resources.prefs	(revision 513)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/concordance/rcp/messages/messages_ru.properties=UTF-8

